

pro ReadGalCat


base='/mybase/'
ext='myext.halos'

base='/gpfs/mpa/hmathis/WebSiteCR/LCDM/'
ext='cat_dust_cutMorpho.gals'



fname=strcompress(base+ext,/remove_all)

ngals=0L

print ,'Reading : ',fname
close, 1
openr, 1, fname, /f77_unformatted

readu,1 , ngals
print,'ngals : ',ngals





IdGal=lonarr(ngals)
InGroup=lonarr(ngals)         
MassGroup=lonarr(ngals)
Code=lonarr(ngals)
 
PosX=fltarr(ngals)
PosY=fltarr(ngals)
PosZ=fltarr(ngals)
VelX=fltarr(ngals)
VelY=fltarr(ngals)
VelZ=fltarr(ngals)


LumTotB=fltarr(ngals)
LumTotV=fltarr(ngals)
LumTotI=fltarr(ngals)
LumTotK=fltarr(ngals)
LumBulB=fltarr(ngals)
LumBulV=fltarr(ngals)
LumBulI=fltarr(ngals)
LumBulK=fltarr(ngals)
  
CGas=fltarr(ngals)
Stellar=fltarr(ngals)
Bulge=fltarr(ngals)
SFR=fltarr(ngals)

ZLast=fltarr(ngals)
VirmLast=fltarr(ngals)
Vc=fltarr(ngals)





readu, 1,IdGal ; the index of the particle the galaxy is associated with
readu, 1,InGroup ; the index (i.e. the rank in the halo cat file) of the halo hosting the galaxy          
readu, 1,MassGroup ; the number of particles of that halo (found by the groupfinder)
readu, 1,Code ; 0 for central galaxy, 1 for satellite galaxy



readu, 1,PosX ; comoving position of particle attached to the galaxy SGX in kpc/h (origin = Milky Way)
readu, 1,PosY ; --- SGY in kpc/h (origin = Milky Way)
readu, 1,PosZ ; --- SGZ in kpc/h (origin = Milky Way)
readu, 1,VelX ; peculiar velocity of the particle attached to the galaxy in km/s
readu, 1,VelY ; ---
readu, 1,VelZ ; ---


readu, 1,LumTotB ; total B band luminosity in Lsol
readu, 1,LumTotV ; total V band luminosity in Lsol
readu, 1,LumTotI ; total I band luminosity in Lsol
readu, 1,LumTotK ; total K band luminosity in Lsol
readu, 1,LumBulB ; bulge B band luminosity in Lsol
readu, 1,LumBulV ; bulge V band luminosity in Lsol
readu, 1,LumBulI ; bulge I band luminosity in Lsol
readu, 1,LumBulK ; bulge K band luminosity in Lsol

readu, 1,CGas ; mass of cold gas in Msol/h
readu, 1,Stellar ; total stellar mass in Msol/h
readu, 1,Bulge ; bulge stellar mass in Msol/h
readu, 1,SFR ; total (starburst+quiescent) SFR during last redshift interval in Msol/h/year

readu, 1,ZLast ; redshift when the galaxy was last a central galaxy
readu, 1,VirmLast ; virial mass of the halo when the galaxy was last a central galaxy
readu, 1,Vc ; disk circular velocity in km/s

close, 1

print, 'Read ...'




print ,'min,max PosX : ',min(PosX),max(PosX)
print ,'min,max PosY : ',min(PosY),max(PosY)
print ,'min,max PosZ : ',min(PosZ),max(PosZ)


print ,'min,max VelX : ',min(VelX),max(VelX)
print ,'min,max VelY : ',min(VelY),max(VelY)
print ,'min,max VelZ : ',min(VelZ),max(VelZ)


print ,'min,max IdGal : ',min(IdGal),max(IdGal)
print ,'min,max Code : ',min(Code),max(Code)
print ,'min,max InGroup : ',min(InGroup),max(InGroup)
print ,'min,max MassGroup : ',min(MassGroup),max(MassGroup)


print ,'min,max LumTotB : ',min(LumTotB),max(LumTotB)
print ,'min,max LumTotV : ',min(LumTotV),max(LumTotV)
print ,'min,max LumTotI : ',min(LumTotI),max(LumTotI)
print ,'min,max LumTotK : ',min(LumTotK),max(LumTotK)

print ,'min,max LumBulB : ',min(LumBulB),max(LumBulB)
print ,'min,max LumBulV : ',min(LumBulV),max(LumBulV)
print ,'min,max LumBulI : ',min(LumBulI),max(LumBulI)
print ,'min,max LumBulK : ',min(LumBulK),max(LumBulK)

print ,'min,max ColdG : ',min(CGas),max(CGas)
print ,'min,max Stellar : ',min(Stellar),max(Stellar)
print ,'min,max Bulge : ',min(Bulge),max(Bulge)
print ,'min,max SFR : ',min(SFR),max(SFR)

print ,'min,max ZLast : ',min(ZLast),max(ZLast)
print ,'min,max Virm : ',min(VirmLast),max(VirmLast)
print ,'min,max Vc : ',min(Vc),max(Vc)



end
