      pro ReadMockMarkIII

;*       N    = The number of objects (galaxies, groups or clusters) in
;*              the catalog
;*       ig   = serial number
;*       ic   = number in subset, according to:
;*              0   - 499 - ellipticals, Lynden-Bell et al. 1988
;*              500 - 599 - Aaronson et al. 1982
;*              600 - 600 - Han & Mould clusters,  1990, 1992.
;*              700 - 899 - Courteau & Faber 1992
;*              900 - 999 - Willick 1991
;*              1000 -    - Mathewson et al. 1992
;*       sgl  = Supergalactic logtitude, L in degrees
;*       sgb  = Supergalactic latitude,  B in degrees
;*       slog = log of (linewidth in  km/s)
;*       em   = apparent Tully-Fisher magnitude
;*       izcmb= Redshift in CMB frame, in km/s
;*       itfd = TF distance in km/s
;*       delta=relative distance error

      baseMOCK='/mybase/'
      extMOCK='LCDM_mock_mark3_'
;      extMOCK='TCDM_mock_mark3_'


      nfiles=20L

      for ifile=0,nfiles-1 do begin

         fname=strcompress(baseMOCK+extMOCK+string(ifile+1)+'.dat',/remove_all)

;         if (ifile lt 10) then
;            write(cfile1,'(I1)') ifile
;            fname=fname(1:len_trim(fname))//cfile1
;         else
;            write(cfile2,'(I2)') ifile
;            fname=fname(1:len_trim(fname))//cfile2
;         endif            
;         fname=fname(1:len_trim(fname))//'.dat'

         print,'Reading : ',fname
      
         close, 1
         openr, 1,fname
        
         readf,1,format='(a4,a5,a4,a7,a7,a7,a6,a6,a6,a6)' 
         ngals=0L
         readf,1,ngals
     
         print,'Found ngals : ',ngals

         readf,1,format='(a4,a5,a4,a7,a7,a7,a6,a6,a6,a6)' 

         for iloop=0,ngals-1 do begin
         
         readf,1, ig,ic,ng,sgl,sgb,slog,em,izcmb,itfd,delta,$
           format='(i4,i5,i4,f7.2,f7.2,f7.3,f6.2,i6,i6,f6.3)'

;         print,'ig,ic,ng,sgl,sgb,izcmb,itfd,delta : ',$
;           ig,ic,ng,sgl,sgb,izcmb,itfd,delta

         endfor
         
         close, 1
         
         print,'Reading completed ...'

      endfor ; loop the files

       stop
       end


